Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_CharStream Class Reference

ACEXML_CharStream is an abstract class (interface) which defines the basic opertions a parser could use to retrieve XML charater sequence. More...

`#include "ACEXML/common/CharStream.h"`

Inheritance diagram for ACEXML_CharStream:

[legend]
List of all members.

## Public Methods
virtual | ~ACEXML_CharStream ()=0
| Virtual destructor, must have. More...
virtual int | available (void)=0
| Returns the available ACEXML_Char in the buffer. More...
virtual int | close (void)=0
| Close this stream and release all resources used by it. More...
virtual int | get (ACEXML_Char &ch)=0
| Read the next ACEXML_Char. More...
virtual int | read (ACEXML_Char *str, size_t len)=0
| Read the next batch of ACEXML_Char strings. More...
virtual int | peek (void)=0
| Peek the next ACEXML_Char in the CharStream. More...
virtual const ACEXML_Char * | getEncoding (void)=0

## Detailed Description

ACEXML_CharStream is an abstract class (interface) which defines the basic opertions a parser could use to retrieve XML charater sequence.

The sequence can be read from a file or a character buffer.

## Constructor & Destructor Documentation

ACEXML_CharStream::~ACEXML_CharStream | ( | void |  | ) | `[pure virtual]`

| Virtual destructor, must have.

## Member Function Documentation

virtual int ACEXML_CharStream::available | ( | void |  | ) | `[pure virtual]`

| Returns the available ACEXML_Char in the buffer. -1 if the object is not initialized properly. Reimplemented in ACEXML_FileCharStream, ACEXML_HttpCharStream, and ACEXML_StrCharStream.

virtual int ACEXML_CharStream::close | ( | void |  | ) | `[pure virtual]`

| Close this stream and release all resources used by it. Reimplemented in ACEXML_FileCharStream, ACEXML_HttpCharStream, and ACEXML_StrCharStream.

virtual int ACEXML_CharStream::get | ( | ACEXML_Char & | ch | ) | `[pure virtual]`

| Read the next ACEXML_Char. Return -1 if we are not able to return an ACEXML_Char, 0 if EOS is reached, or 1 if succeed. Reimplemented in ACEXML_FileCharStream, ACEXML_HttpCharStream, and ACEXML_StrCharStream.

virtual const ACEXML_Char* ACEXML_CharStream::getEncoding | ( | void |  | ) | `[pure virtual]`

| Reimplemented in ACEXML_FileCharStream, ACEXML_HttpCharStream, and ACEXML_StrCharStream.

virtual int ACEXML_CharStream::peek | ( | void |  | ) | `[pure virtual]`

| Peek the next ACEXML_Char in the CharStream. Return the character if succeess, -1 if EOS is reached. Reimplemented in ACEXML_FileCharStream, ACEXML_HttpCharStream, and ACEXML_StrCharStream.

virtual int ACEXML_CharStream::read | ( | ACEXML_Char * | str,
|  | size_t | len
| ) | `[pure virtual]`

| Read the next batch of ACEXML_Char strings. Reimplemented in ACEXML_FileCharStream, ACEXML_HttpCharStream, and ACEXML_StrCharStream.

The documentation for this class was generated from the following files:

- CharStream.h
- CharStream.cpp